Package com.independentsoft.office.odf

# Enum Class LabelRangeOrientation

java.lang.Object
java.lang.Enum<LabelRangeOrientation>
com.independentsoft.office.odf.LabelRangeOrientation

All Implemented Interfaces:
  `Serializable`, `Comparable<LabelRangeOrientation>`, `Constable`

public enum LabelRangeOrientation extends Enum<LabelRangeOrientation>
Specifies whether labels label rows or columns.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COLUMN`
  The label range oriented by column.
  `NONE`
  None.
  `ROW`
  The label range oriented by row.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LabelRangeOrientation`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static LabelRangeOrientation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COLUMN

    public static final LabelRangeOrientation COLUMN
    The label range oriented by column.

  - ### ROW

    public static final LabelRangeOrientation ROW
    The label range oriented by row.

  - ### NONE

    public static final LabelRangeOrientation NONE
    None.

- ## Method Details

  - ### values

    public static LabelRangeOrientation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LabelRangeOrientation valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null